import java.net.*;
import java.io.*;

public class cSocket
{
  private LineNumberReader lnr;
  private Socket server;

  public cSocket (String addr, String port)
  {
    try
    {
      lnr = new LineNumberReader(new BufferedReader(new InputStreamReader(server.getInputStream())));
      server = new Socket (addr, Integer.parseInt(port));
    }
    catch (Exception e)
    {
      System.out.println("It's Mo's fault");
    }
  }

  public void sendLine (String s)
  {
    try
    {
      server.getOutputStream().write(s.getBytes());
    }
    catch (Exception e)
    {
      System.out.println("Mo, you should only send when you are allowed to");
    }
  }
  
  public StreamTokenizer getTokenizer()
  {
    try
    {
      return new StreamTokenizer( new BufferedReader ( new InputStreamReader ( server.getInputStream())));
    }
    catch (Exception e)
    {
      System.out.println("It's Mo's fault");
    }
    return null;
  }

  public String getLine ()
  {
    try
    {
      return lnr.readLine();
    }
    catch (Exception e)
    {
      System.out.println("Mo, you should only read when you are allowed to");
    }
    return "monkey";
  }
}
